=== sql/Makefile ===
all:
	sqlite3 test.rdb < init.sql

read:
	sqlite3 test.rdb "select * from t1;"
