=== tests/Makefile ===
all:
	@-for a in chk/*.sh ; do \
		sh $$a ; \
	done
#	@-for a in chk/*.lua ; do \
#		radare -i $$a malloc://10; \
#	done
