=== api/ruby/Makefile ===
all:
	ruby server.rb

client:
	ruby client.rb
