=== debian/changelog ===
radare (1:1.5.2-6) unstable; urgency=low

  * fix glib includes for glib 2.32+ (Closes: #665604) 

 -- Sebastian Reichel <sre@debian.org>  Wed, 28 Mar 2012 03:05:57 +0200

radare (1:1.5.2-5) unstable; urgency=low

  * Fix spelling-error-in-description: extracter -> extractor 
  * Update Debian Standards Version to 3.9.3 
  * Update vala build dependency to 0.14 (Closes: #663298)

 -- Sebastian Reichel <sre@debian.org>  Sat, 17 Mar 2012 04:40:16 +0100

radare (1:1.5.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "Doesn't contain source for waf binary code", thanks to
    Gerfried Fuchs (Closes: #654497).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Jan 2012 21:38:41 +0100

radare (1:1.5.2-4) unstable; urgency=low

  [ Stefano Rivera ]
  * Add support for Python 2.7 (Closes: #629122)
    - Apply python-2.7.patch from upstream repository.
  * python-default-only.patch: Only install extensions for the current python
    default version.

  [ Sebastian Reichel ]
  * Update my mail address
  * Remove DM-Upload-Allowed flag
  * Update Debian Standards Version to 3.9.2
  * Switch from python-support to dh_python2
  * debian/rules: differ between build-arch and build-indep target

 -- Sebastian Reichel <sre@debian.org>  Sun, 03 Jul 2011 21:04:36 +0200

radare (1:1.5.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on libvala-0.10-dev, optionally with libvala-dev, as
      the latter has been dropped from vala package (Closes: #624429).
  * debian/pyversions:
    - Support python2.6 only.
  * debian/rules:
    - Remove files created for python2.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 May 2011 20:15:18 +0200

radare (1:1.5.2-3) unstable; urgency=low

  * Update Debian Standards Version to 3.9.1
  * Add patch to always link against libdl,
    this fixes an FTBFS on kfreebsd and hurd
  * add Ubuntu patch to fix buffer overflow
  * add Ubuntu patch to fix building if only python2.6 is available

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 22 Aug 2010 16:55:09 +0200

radare (1:1.5.2-2) unstable; urgency=low

  * cherry pick upstream patch to fix disabled debugger.
    This should fix build on arches not supported by radare debugger.
  * Add patch improving Makefile's clean target
  * Allow DM Upload

 -- Sebastian Reichel <elektranox@gmail.com>  Mon, 05 Jul 2010 13:59:01 +0200

radare (1:1.5.2-1) unstable; urgency=low

  * New upstream release
   - drop gtkdialog (Closes: #583888, #560676)
   - lua plugin should build on all arches (Closes: #544829)
   - many upstream bug fixes (Closes: #534700)
   - bashism has been fixed upstream (Closes: #535884)
  * Build-depend on libreadline-dev (Closes: #553833)
  * byte-compile Python files (Closes: #566048)
  * Remove ruby, does not work currently
  * Add watch file for -free version (DFSG compatible source tarball)
  * Switch to DebSrc 3.0

 -- Sebastian Reichel <elektranox@gmail.com>  Tue, 29 Jun 2010 14:01:34 +0200

radare (1:1.4-1) unstable; urgency=low
 
  * New hg checkout (stable release 1.4)
   - Fix mipsel arch translation for debugger objects
   - Fix FreeBSD and NetBSD build
   - alias mips->mips64
   - Keep cons_buffer contents in radare_cmd_str
   - Install ranal API
   - Fix rsc monitor
   - improved shellcode injection
   - Fixed syscall related stuff for x86_64
   - Added cmd '=' to send cmd to remote radares
   - Install radapy API
   - Implement rap:// URI handling in remote IO plugin
   - Fixed Elf64_Xword/Elf32_word bug in dietelf
   - Fix register handling for arm-darwin (debugger finally working!)
   - Added 'armv5tejl' (armel) to the whitelist of supported debuggers
  * Use python-config for detecting python cflags and libs
   - This should fix Ubuntu build failure

 -- Sebastian Reichel <elektranox@gmail.com>  Wed, 03 Jun 2009 17:38:00 +0200

radare (20090525-1) unstable; urgency=low

  * fixed cddl.txt encoding
  * new hg checkout
   - fixups in agd and analyzing
   - python2.6 support
   - 'q' command accepts a numeric argument (exit value)
   - Fix a radare_cmd_str() problem related to cons_grep
   - Initial import of the 'ranal' api
   - pX is now a new print format (FMT_HEXPAIRS)
   - new stuff for the analysis python api
   - remove bashism (Closes: #530178)
   - change ppc_disasm license (try to get it DSFSG compliant)
   - Added graph.traces to colorize traced nodes in graphviz and grava
   - Some more random words for the book
   - Documentate the /P command in the book
   - whitelist debugger support for armelv5tel-linux (armel)
   - fix ignorance of --without-debugger flag
   - fix mipsel arch translation for debugger objects
   - fix FreeBSD build
   - mips->mips64
  * ppc disasm support stays disabled
   - ppc_disasm license is still not DFSG compliant

 -- Sebastian Reichel <elektranox@gmail.com>  Mon, 25 May 2009 01:05:00 +0200

radare (20090522-1) unstable; urgency=low

  * new hg checkout
   - added 'cX' command to compare like 'cc' does but using
     two side hexdiff dump format
   - specify pointer & data size in pm with %<size>
   - add graph.weight
   - fix 'c' command (missing radare_read(0))
   - added /P search command that searches for proximity in
     bytelevel distance
   - added more 'ag' and 'gu' commands to readline autocompletion.
   - fix build of debugger for non-linux systems
   - fixed code analysis at startup
   - more work in graphs (graph.split)
   - fixups in x86 code analysis

 -- Sebastian Reichel <elektranox@gmail.com>  Fri, 22 May 2009 19:01:00 +0200

radare (20090521-1) unstable; urgency=low

  * new hg checkout with lots of fixups
  * builds on architectures without debugger support (Closes: #529997)

 -- Sebastian Reichel <elektranox@gmail.com>  Thu, 21 May 2009 16:26:00 +0200

radare (20090519-1) unstable; urgency=low

  * switch to hg snapshots
  * uses changeset 1045 (ed3ba99d8537)
  * remove ppc disasm source (for DFSG compability)

