=== debian/control ===
Source: radare
Section: devel
Priority: optional
Vcs-Git: git://git.debian.org/collab-maint/radare.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/radare.git
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7),
               halibut,
               libgtk2.0-dev,
               liblua5.1-0-dev,
               libusb-dev,
               libperl-dev,
               libreadline-dev,
               libvala-0.14-dev,
               libvte-dev,
               lua5.1,
               python-dev (>= 2.6.6-3~),
               valac-0.14
Standards-Version: 3.9.3
Homepage: http://radare.org

Package: radare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, radare-common
Conflicts: radare-gtk
Description: free advanced command line hexadecimal editor
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped
 IO layer supporting multiple backends for local/remote files,
 debugger (osx,bsd,linux,w32), stream analyzer, assembler/disassembler
 (rasm) for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the non gtk version of radare. You won't be able
 to use the ag command for drawing graphs and gradare is missing.

Package: radare-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, radare-common
Conflicts: radare
Description: free advanced command line hexadecimal editor with graph functionality
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped
 IO layer supporting multiple backends for local/remote files,
 debugger (osx,bsd,linux,w32), stream analyzer, assembler/disassembler
 (rasm) for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the gtk enabled edition of radare.

Package: radare-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: utilities and scripts used by radare
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped
 IO layer supporting multiple backends for local/remote files,
 debugger (osx,bsd,linux,w32), stream analyzer, assembler/disassembler
 (rasm) for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains utilities and scripts used by the terminal and
 gtk edition of radare.

Package: radare-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentary for radare
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped
 IO layer supporting multiple backends for local/remote files,
 debugger (osx,bsd,linux,w32), stream analyzer, assembler/disassembler
 (rasm) for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the radare book and some additional docs.
