=== debian/watch ===
version=3
http://radare.org/get/radare-([0-9\.]*)-free\.tar\.gz
